Skip to main content
POST
/
embeddings
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "index": 123,
      "embedding": [
        123
      ],
      "object": "embedding"
    }
  ],
  "model": "<string>",
  "object": "list",
  "usage": {
    "prompt_tokens": 123,
    "total_tokens": 123
  }
}

Authorizations

api-key
string
header
required

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview

Body

application/json
model
string
required

The model to use for the embedding request.

input
required

Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for all embedding models), cannot be an empty string, and any array must be 2048 dimensions or less. Example Python code for counting tokens. In addition to the per-input token limit, all embedding models enforce a maximum of 300,000 tokens summed across all inputs in a single request.

encoding_format
enum<string>
default:float

The format to return the embeddings in. Can be either float or base64.

Available options:
float,
base64
dimensions
integer<int32>

The number of dimensions the resulting output embeddings should have. Only supported in text-embedding-3 and later models.

Required range: x >= 1
user
string

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

Response

The request has succeeded.

data
object[]
required

The list of embeddings generated by the model.

model
string
required

The name of the model used to generate the embedding.

object
enum<string>
required

The object type, which is always "list".

Available options:
list
usage
object
required

The usage information for the request.